Name:		tintii
Version:	2.10.0
Release:	%mkrel 17
Summary:	Utility for selective photo coloring
License:	GPLv2+
Group:		Graphics/Photography
Source0:	https://www.indii.org/files/tint/releases/%{name}-%{version}.tar.gz
Source1:	https://www.indii.org/images/%{name}_128.png
URL:		https://www.indii.org/software/tintii
# bc is used to detect wxgtk
BuildRequires:	bc
BuildRequires:	boost-devel
BuildRequires:	imagemagick
BuildRequires:	libgomp-devel
BuildRequires:	wxgtk3.0-devel

%description
Tintii takes full color photos and processes them into black and white
with some select regions highlighted in color. The technique is known as color
popping or selective coloring – tintii makes it easy. Think Schindler’s List’s
little girl in red, or the dramatic style of Sin City. Tintii takes a color
photo and cleverly separates it into a handful of major hues. You then select
which colors to pop, and the rest become black & white.

%prep
%autosetup -p1

%build
# The added CXXFLAGS are suggested in the README file
%ifarch x86_64
%define upstream_flags -msse2 -O3 -g3
%else
%define upstream_flags -O3 -g3
%endif

export CXXFLAGS="%{build_cxxflags} %{upstream_flags}"

%configure --disable-assert
%make_build

%install
%make_install

%__install -Dm 644 %{SOURCE1} %{buildroot}%{_iconsdir}/hicolor/128x128/apps/%{name}.png

# menu-entry
%__install -d %{buildroot}%{_datadir}/applications
%__cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Type=Application
Terminal=false
Name=Tintii
Comment=Utility for selective photo coloring
Exec=%{name}
Icon=%{name}
Categories=Graphics;Photography;
EOF

%files
%doc README
%{_bindir}/%{name}
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/%{name}.htb
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/128x128/apps/%{name}.*


%changelog
* Wed Dec 25 2024 daviddavid <daviddavid> 2.10.0-17.mga10
+ Revision: 2129984
- finally stay with wxgtk 3.0
- switch to wxgtk 3.2

* Mon Apr 04 2022 umeabot <umeabot> 2.10.0-16.mga9
+ Revision: 1842910
- Mageia 9 Mass Rebuild

* Sun Jan 23 2022 wally <wally> 2.10.0-15.mga9
+ Revision: 1769492
- build with wxgtk3.0
- disable assertions

* Sat Jan 15 2022 wally <wally> 2.10.0-14.mga9
+ Revision: 1768494
- rebuild for wxgtk 3.1.5 with working wxSizer::SetSizeHints()

* Sat Jan 01 2022 wally <wally> 2.10.0-13.mga9
+ Revision: 1765738
- rebuild for wxgtk 3.1.5 to resolve 'Symbol X has different size in shared object, consider re-linking' error

* Fri Jan 01 2021 wally <wally> 2.10.0-12.mga8
+ Revision: 1667729
- rebuild for wxgtk pre 3.1.5 snapshot

* Sun Aug 16 2020 wally <wally> 2.10.0-11.mga8
+ Revision: 1614370
- rebuild for new wxgtk 3.1.4

* Wed Apr 15 2020 danf <danf> 2.10.0-10.mga8
+ Revision: 1567574
- Fix Comment= in .desktop file to stop referring to debug sources

* Tue Feb 18 2020 umeabot <umeabot> 2.10.0-9.mga8
+ Revision: 1538033
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Nov 12 2019 wally <wally> 2.10.0-8.mga8
+ Revision: 1459491
- rebuild for wxgtk 3.1.3

* Mon Jul 08 2019 wally <wally> 2.10.0-7.mga8
+ Revision: 1419536
- rebuild for wxgtk 3.1.2 with 2.8 compatibility

* Sun Jun 30 2019 wally <wally> 2.10.0-6.mga8
+ Revision: 1416339
- rebuild with gtk3 enabled wxgtk 3.1.2

* Sun Sep 23 2018 umeabot <umeabot> 2.10.0-5.mga7
+ Revision: 1301416
- Mageia 7 Mass Rebuild

* Sat Jun 03 2017 akien <akien> 2.10.0-4.mga6
+ Revision: 1106129
- Rebuild for wxgtk 3.0.3.1

* Thu Jun 02 2016 daviddavid <daviddavid> 2.10.0-3.mga6
+ Revision: 1019823
- rebuild for wxgtk3.0 built with GTK2

* Wed Jan 13 2016 akien <akien> 2.10.0-2.mga6
+ Revision: 922856
- Enable opt recommended by upstream

* Tue Jan 12 2016 akien <akien> 2.10.0-1.mga6
+ Revision: 922292
- Version 2.10.0

* Fri Aug 14 2015 ycantin <ycantin> 2.9.0-7.mga6
+ Revision: 864736
- rebuild for new wxgtk built with wxRE_ADVANCED
- fix spec formatting
- typos

* Thu Jul 23 2015 akien <akien> 2.9.0-6.mga6
+ Revision: 856248
- Rebuild for wxgtk

* Wed Feb 11 2015 akien <akien> 2.9.0-5.mga5
+ Revision: 814660
- Rebuild against wxWidgets 3.0

* Wed Oct 15 2014 umeabot <umeabot> 2.9.0-4.mga5
+ Revision: 742820
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.9.0-3.mga5
+ Revision: 689894
- Mageia 5 Mass Rebuild

* Tue Jun 24 2014 akien <akien> 2.9.0-2.mga5
+ Revision: 639155
- Use upstream make install, adding a new file in %%_datadir/%%name
- Improve summary

* Tue Jun 24 2014 akien <akien> 2.9.0-1.mga5
+ Revision: 639142
- Version 2.9.0

* Sat Feb 15 2014 dams <dams> 2.8.2-1.mga5
+ Revision: 592393
- new version 2.8.2

* Sat Oct 19 2013 umeabot <umeabot> 2.6.1-2.mga4
+ Revision: 529643
- Mageia 4 Mass Rebuild

* Sat Feb 16 2013 neoclust <neoclust> 2.6.1-1.mga4
+ Revision: 398634
- imported package tintii


* Sat Mar 17 2012 Dmitry Mikhirev <dmikhirev@mandriva.org> 2.6.1-1mdv2012.0
+ Revision: 785454
- new version 2.6.1

* Mon Mar 12 2012 Dmitry Mikhirev <dmikhirev@mandriva.org> 2.6.0-1
+ Revision: 784413
- fix license
- new version 2.6.0

* Thu Jan 12 2012 Andrey Bondrov <abondrov@mandriva.org> 2.5.3-2
+ Revision: 760457
- Rebuild against utf8 wxGTK2.8, spec cleanup

* Wed Nov 02 2011 Alexander Khrukin <akhrukin@mandriva.org> 2.5.3-1
+ Revision: 709960
- imported package tintii

